RSS-Bridge_rss-bridge/composer.json

56 lines
1.8 KiB
JSON

{
"name": "rss-bridge/rss-bridge",
"type": "project",
"description": "RSS-Bridge is a PHP project capable of generating RSS and Atom feeds for websites that don't have one. It can be used on webservers or as a stand-alone application in CLI mode.",
"keywords": [
"php",
"rss",
"bridge",
"rss-bridge",
"atom",
"html",
"json",
"feed",
"cli"
],
"homepage": "https://github.com/rss-bridge/rss-bridge/",
"license": "UNLICENSE",
"support": {
"issues": "https://github.com/rss-bridge/rss-bridge/issues/",
"docs": "https://rss-bridge.github.io/rss-bridge/",
"source": "https://github.com/rss-bridge/rss-bridge/",
"rss": "https://github.com/RSS-Bridge/rss-bridge/commits/master.atom"
},
"require": {
"php": ">=7.4",
"ext-mbstring": "*",
"ext-curl": "*",
"ext-openssl": "*",
"ext-libxml": "*",
"ext-simplexml": "*",
"ext-dom": "*",
"ext-json": "*"
},
"require-dev": {
"phpunit/phpunit": "^9",
"squizlabs/php_codesniffer": "^3.6"
},
"suggest": {
"php-webdriver/webdriver": "Required for Selenium usage",
"ext-memcached": "Allows to use memcached as cache type",
"ext-sqlite3": "Allows to use an SQLite database for caching",
"ext-zip": "Required for FDroidRepoBridge",
"ext-intl": "Required for OLXBridge"
},
"autoload-dev": {
"psr-4": {
"RssBridge\\Tests\\": "tests"
}
},
"scripts": {
"test": "./vendor/bin/phpunit",
"lint": "./vendor/bin/phpcs --standard=phpcs.xml --warning-severity=0 --extensions=php -p ./",
"compat": "./vendor/bin/phpcs --standard=phpcompatibility.xml --warning-severity=0 --extensions=php -p ./"
}
}